SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Server/CGI)  >   Sun ONE/iPlanet Web Server Vendors:   Sun
Sun Java System Web Server Input Validation Hole in Advanced Search Permits Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1020110
SecurityTracker URL:  http://securitytracker.com/id/1020110
CVE Reference:   CVE-2008-2518   (Links to External Site)
Updated:  Jun 6 2008
Original Entry Date:  May 25 2008
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 6.1 prior to SP9, 7.0 Update 2 and prior
Description:   A vulnerability was reported in Sun Java System Web Server in the advanced search feature. A remote user can conduct cross-site scripting attacks.

The advanced search page does not properly filter HTML code from user-supplied input before displaying the input. A remote user can cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the Sun Java System Web Server software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

The vulnerability resides in 'search/advanced.jsp'.

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the Sun Java System Web Server software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   Sun has issued the following fixes.

SPARC Platform

* Sun Java System Web Server 6.1 with Service Pack 9 or later
* Sun Java System Web Server 6.1 with patch 116648-21 or later
* Sun Java System Web Server 7.0 Update 3

x86 Platform

* Sun Java System Web Server 6.1 with Service Pack 9 or later
* Sun Java System Web Server 6.1 with patch 116649-21 or later
* Sun Java System Web Server 7.0 Update 3

Linux

* Sun Java System Web Server 6.1 with Service Pack 9 or later
* Sun Java System Web Server 6.1 with patch 118202-13 or later
* Sun Java System Web Server 7.0 Update 3

Windows

* Sun Java System Web Server 6.1 with Service Pack 9 or later
* Sun Java System Web Server 6.1 with patch 121524-05 or later
* Sun Java System Web Server 7.0 Update 3

HP-UX

* Sun Java System Web Server 6.1 with Service Pack 9 or later
* Sun Java System Web Server 6.1 with patch 121510-05 or later
* Sun Java System Web Server 7.0 Update 3

AIX

* Sun Java System Web Server 6.1 with Service Pack 9 or later
* Sun Java System Web Server 7.0 Update 3

Sun Java System Web Server 6.1 Service Pack 9 and

Sun Java System Web Server 7.0 Update 3 are available at

http://www.sun.com/download/index.jsp

Under "Web and Proxy Servers" --> "Web Servers"

The vendor's advisory is available at:

http://sunsolve.sun.com/search/document.do?assetkey=1-66-236481-1

Vendor URL:  sunsolve.sun.com/search/document.do?assetkey=1-66-236481-1 (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (AIX), UNIX (HP/UX), UNIX (Solaris - SunOS), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC